Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#35 [cofs] vim fsync failed, FSYNC support need

closed
nobody
None
5
2008-03-01
2006-02-01
Xuefer
No

/e is a cofs mount from windows e:\ in vim, write file to /e/ issue error:

"/e/a" E667: Fsync failed
WARNING: Original file may be lost or damaged
don't quit the editor until the file is successfully
written!

looks like fsync is not implemented. neither many
other fs requests

Discussion

  • Henry N.
    Henry N.
    2007-01-19

    Logged In: YES
    user_id=579204
    Originator: NO

    I know, cofs has some limits. But my vim works. Opened a file on cofs (is a NTFS) and exit vim with command "wq". No problems, no warnings.

    hn@colinux:~> vim --version
    VIM - Vi IMproved 6.2 (2003 Jun 1, compiled Sep 23 2003 23:25:02)

    How you have mounted cofs?

    hn@colinux:~> mount | grep cofs0:
    cofs0:/ on /media/cofs0 type cofs (rw,noexec,nosuid,nodev,uid=500,gid=100,fmask=0664,dmask=0775)

     
  • Logged In: NO

    cofs3 on /e type cofs (rw,uid=1000,gid=100)
    what if u do "vim --noplugin"? i'd like to see if i can tune fsync off. i may be faster than patching cofs

     
  • miguillo
    miguillo
    2008-02-26

    Logged In: YES
    user_id=244345
    Originator: NO

    I got same problem (in a brand new installed colinux 0.7.2, was already not working with 0.7.1)

    Solution:
    a (good) solution is to type the following command in vim: ":set nofsync". It deactivate the vim's fsync feature that force flush to disk (:help fsync), but as you system is stable, it should not be a problem ;-). You can also put it in your .vimrc file.

     
  • Henry N.
    Henry N.
    2008-02-26

    Logged In: YES
    user_id=579204
    Originator: NO

    Fixed in branch devel (SVN revision 896).

    Please test todays snapshot or autobuild.
    If that works, we put it into the stable release.

     
  • miguillo
    miguillo
    2008-02-28

    Logged In: YES
    user_id=244345
    Originator: NO

    > Please test todays snapshot or autobuild.
    > If that works, we put it into the stable release.
    Fsync functions with vim with kernel, modules and daemons from r897 if believing changelog.txt in http://www.henrynestler.com/colinux/autobuild/devel-20080226/.

    Some comments:
    It's the first time I try 0.8.x but my eth0/eth1 are now eth4/eth5, even after rebooting. My config is one slirp and ont tap'ed interfaces. ifconfig -a give nothing else except loopback (distribution is an Ubuntu with startup scripts modified for coLinux, perhaps a bug from it, but I can't imagine where).
    conet0: irq 10, HWAddr 00:ff:57:71:00:00
    conet1: irq 10, HWAddr 00:ff:87:60:68:00

    I really liked the lines:
    about alsa (but I didn't managed to make it running)
    Advanced Linux Sound Architecture Driver Version 1.0.14 (Thu May 31 09:03:25 2007 UTC).
    ALSA device list:
    #0: coaudio: Cooperative Audio Device using irq 5
    and about fuse which I didn't tried yet.

    Could you put some informations on 0.8.0 new features on the wiki, I didn't found it.

    Thanks for you work and have a nice week end.

     
  • Henry N.
    Henry N.
    2008-02-28

    Logged In: YES
    user_id=579204
    Originator: NO

    The "fuse..." here was the "cofs" host file system. The code based on fuse, but is not the fuse you perhaps thinks to know.

     
  • Henry N.
    Henry N.
    2008-03-01

    Logged In: YES
    user_id=579204
    Originator: NO

    cofs sync fixed in branch stable now.
    Available from http://www.colinux.org/snapshots/

     
  • Henry N.
    Henry N.
    2008-03-01

    • status: open --> closed